Skip to main content
Version: 5.35.0

Segmented

The Segmented component is a horizontal control made of multiple segments, each segment functioning as a button.

Usage​

Inputs with type="radio" and mbsc-segmented attributes will be transformed into a segmented control.

The segments are grouped by a container with the mbsc-segmented-group attribute.

In single selection mode the functionality is similar to the radio buttons, where selecting one will deselect all others.

With icon
<div mbsc-segmented-group>
<label>
<input type="radio" mbsc-segmented data-icon="plus" name="group1" checked>
</label>
<label>
<input type="radio" mbsc-segmented data-icon="minus" name="group1">
</label>
<label>
<input type="radio" mbsc-segmented data-icon="key2" name="group1">
</label>
</div>
With text
<div mbsc-segmented-group>
<label>
Option 1
<input type="radio" mbsc-segmented name="group2">
</label>
<label>
Option 2
<input type="radio" mbsc-segmented name="group2" checked>
</label>
<label>
Option 3
<input type="radio" mbsc-segmented name="group2">
</label>
<label>
Option 4
<input type="radio" mbsc-segmented name="group2">
</label>
</div>

Color presets​

Mobiscroll includes several predefined color presets, each serving its own semantic purpose.

<div mbsc-segmented-group data-color="danger">
<label>
Desktop
<input type="radio" mbsc-segmented data-icon="home" name="group-danger">
</label>
<label>
Mobile
<input type="radio" mbsc-segmented data-icon="mobile" name="group-danger" checked>
</label>
<label>
Cloud
<input type="radio" mbsc-segmented data-icon="cloud-upload" name="group-danger">
</label>
</div>

<div mbsc-segmented-group data-color="warning">
<label>
Desktop
<input type="radio" mbsc-segmented data-icon="home" name="group-warning">
</label>
<label>
Mobile
<input type="radio" mbsc-segmented data-icon="mobile" name="group-warning" checked>
</label>
<label>
Cloud
<input type="radio" mbsc-segmented data-icon="cloud-upload" name="group-warning">
</label>
</div>

<div mbsc-segmented-group data-color="info">
<label>
Desktop
<input type="radio" mbsc-segmented data-icon="home" name="group-info">
</label>
<label>
Mobile
<input type="radio" mbsc-segmented data-icon="mobile" name="group-info" checked>
</label>
<label>
Cloud
<input type="radio" mbsc-segmented data-icon="cloud-upload" name="group-info">
</label>
</div>

Auto vs. manual initialization​

If the component is added later to the DOM, e.g. with an AJAX page load, a custom function named enhance needs to be called in order to initialize the dynamically added component. When the enhance function is called on a DOM element, all form elements will be initialized inside this element.

var xhr = new XMLHttpRequest();
xhr.onreadystatechange = function() {
if (xhr.readyState == XMLHttpRequest.DONE) {
var page = document.getElementById('page');
page.innerHTML = xhr.responseText;
mobiscroll.enhance(page);
}
}
xhr.open('GET', '/myform', true);
xhr.send();

Options​

Explore the following API options that help you easily configure the Segmented component.

ariaLabel​

string

Specifies the accessible name of the segmented button. Recommended for icon-only buttons.

Default value: undefined

color​

"success" | "light" | "dark" | "primary" | "secondary" | "danger" | "warning" | "info"

Specifies the predefined color of the segmented button.

Default value: undefined

cssClass​

string

Specifies a custom CSS class for the component.

Default value: undefined

description​

string

Specifies the description text of the segmented button.

Default value: undefined

disabled​

boolean

Specifies the disabled state of the segmented button.

Default value: false

endIcon​

any

Specifies the icon which will be displayed at the end of the segmented button. Use the startIcon option for specifying an icon at the start.

Default value: undefined

icon​

any

Specifies the icon for an icon-only segmented button.

Default value: undefined

id​

string

Specifies the id of the segmented button.

Default value: undefined

label​

string

Specifies the label of the segmented button.

Default value: undefined

name​

string

Specifies the name of the segmented button.

Default value: undefined

startIcon​

any

Specifies the icon which will be displayed at the start of the segmented button. Use the endIcon option for specifying an icon at the end.

Default value: undefined

theme​

string

Specifies the visual appearance of the component.

If it is 'auto' or undefined, the theme will automatically be chosen based on the platform. If custom themes are also present, they will take precedence over the built in themes, e.g. if there's an iOS based custom theme, it will be chosen on the iOS platform instead of the default iOS theme.

Supplied themes:

  • 'ios' - iOS theme
  • 'material' - Material theme
  • 'windows' - Windows theme

It's possible to modify theme colors or create custom themes.

info

Make sure that the theme you set is included in the downloaded package.

Default value: undefined

themeVariant​

"auto" | "light" | "dark"

Controls which variant of the theme will be used (light or dark).

Possible values:

  • 'light' - Use the light variant of the theme.
  • 'dark' - Use the dark variant of the theme.
  • 'auto' or undefined - Detect the preferred system theme on devices where this is supported.

To use the option with custom themes, make sure to create two custom themes, where the dark version has the same name as the light one, suffixed with '-dark', e.g.: 'my-theme' and 'my-theme-dark'.

Default value: undefined

Events​

The Segmented component ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code.

onDestroy​

(args: any, inst: any) => void

Triggered when the component is destroyed.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

onInit​

(args: any, inst: any) => void

Triggered when the component is initialized.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

Localization​

The Segmented component is fully localized. This covers date and time format, button copy, rtl and more.

locale​

MbscLocale

Sets the language of the component. The locale object contains all the translations for a given language. The built in language modules are listed below. If a language is not listed, it can be provided as a custom language module.

Supported values:

  • Arabic: localeAr, 'ar'
  • Bulgarian: localeBg, 'bg'
  • Catalan: localeCa, 'ca'
  • Czech: localeCs, 'cs'
  • Chinese: localeZh, 'zh'
  • Croatian: localeHr, 'hr'
  • Danish: localeDa, 'da'
  • Dutch: localeNl, 'nl'
  • English: localeEn or undefined, 'en'
  • English (UK): localeEnGB, 'en-GB'
  • Farsi: localeFa, 'fa'
  • German: localeDe, 'de'
  • Greek: localeEl, 'el'
  • Spanish: localeEs, 'es'
  • Finnish: localeFi, 'fi'
  • French: localeFr, 'fr'
  • Hebrew: localeHe, 'he'
  • Hindi: localeHi, 'hi'
  • Hungarian: localeHu, 'hu'
  • Italian: localeIt, 'it'
  • Japanese: localeJa, 'ja'
  • Korean: localeKo, 'ko'
  • Lithuanian: localeLt, 'lt'
  • Norwegian: localeNo, 'no'
  • Polish: localePl, 'pl'
  • Portuguese (Brazilian): localePtBR, 'pt-BR'
  • Portuguese (European): localePtPT, 'pt-PT'
  • Romanian: localeRo, 'ro'
  • Russian: localeRu, 'ru'
  • Russian (UA): localeRuUA, 'ru-UA'
  • Slovak: localeSk, 'sk'
  • Serbian: localeSr, 'sr'
  • Swedish: localeSv, 'sv'
  • Thai: localeTh, 'th'
  • Turkish: localeTr, 'tr'
  • Ukrainian: localeUa, 'ua'

Default value: undefined

rtl​

boolean

Enables right-to-left display.

Default value: false

Skip to main content
Version: 5.35.0

Segmented

The Segmented component is a horizontal control made of multiple segments, each segment functioning as a button.

Usage​

In single selection mode the functionality is similar to the radio buttons, where selecting one will deselect all others.

import { SegmentedGroup, Segmented } from '@mobiscroll/react';

function App() {
return <SegmentedGroup name="settings">
<Segmented value="1" startIcon="remove">Delete</Segmented>
<Segmented value="2" startIcon="pencil">Edit</Segmented>
<Segmented value="3" startIcon="plus">Add</Segmented>
</SegmentedGroup>
}

Value binding​

Single selection​

Use the value and onChange props to set a value to the whole segmented group.

import { useState } from 'react';
import { SegmentedGroup, Segmented } from '@mobiscroll/react';

function App() {
const [myRange, setMyRange] = useState(null);
const myRangeChange = (ev) => {
setMyRange(ev.target.value);
}

return <SegmentedGroup name="controlled" value={myRange} onChange={myRangeChange}>
<Segmented value="day">Day</Segmented>
<Segmented value="week">Week</Segmented>
<Segmented value="month">Month</Segmented>
<Segmented value="year">Year</Segmented>
</SegmentedGroup>
}

Multiple selection​

In multiple selection mode segments can be selected and de-selected independently from each other.

import { useState } from 'react';
import { SegmentedGroup, Segmented } from '@mobiscroll/react';

function App() {
const [mySelectedList, setList] = useState([]);
const mySelectionChange = (ev) => {
if (ev.target.checked) { // selected
setList([...mySelectedList, ev.target.value]);
} else { // remove from list
setList(mySelectedList.filter(item => item !== ev.target.value));
}
}

return <SegmentedGroup select="multiple" value={mySelectedList} onChange={mySelectionChange}>
<Segmented value="one">One</Segmented>
<Segmented value="two">Two</Segmented>
<Segmented value="three">Three</Segmented>
</SegmentedGroup>
}

The Segmented component's checked prop can also be used individually in a multi-selection case like this:

import { useState } from 'react';
import { SegmentedGroup, Segmented } from '@mobiscroll/react';

function App() {
const [users, setUsers] = useState([
{ name: 'Harry', selected: false },
{ name: 'Ron', selected: false },
{ name: 'Hermione', selected: false },
]);

const toggleUser = (ev) => {
const user = users.find(u => u.name === ev.target.value);
user.selected = ev.target.checked;
setUsers([...users]);
}

return <SegmentedGroup select='multiple'>
{users.map(u => {
return <Segmented key={u.name} value={u.name} checked={u.selected} onChange={toggleUser}>{u.name}</Segmented>
})}
</SegmentedGroup>
}

Options​

Explore the following API options that help you easily configure the Segmented component.

ariaLabel​

string

Specifies the accessible name of the segmented button. Recommended for icon-only buttons.

Default value: undefined

color​

"success" | "dark" | "light" | "primary" | "secondary" | "danger" | "warning" | "info"

Specifies the predefined color of the segmented button.

Default value: undefined

cssClass​

string

Specifies a custom CSS class for the component.

Default value: undefined

description​

string

Specifies the description text of the segmented button.

Default value: undefined

disabled​

boolean

Specifies the disabled state of the segmented button.

Default value: false

endIcon​

any

Specifies the icon which will be displayed at the end of the segmented button. Use the startIcon option for specifying an icon at the start.

Default value: undefined

icon​

any

Specifies the icon for an icon-only segmented button.

Default value: undefined

id​

string

Specifies the id of the segmented button.

Default value: undefined

label​

string

Specifies the label of the segmented button.

Default value: undefined

name​

string

Specifies the name of the segmented button.

Default value: undefined

startIcon​

any

Specifies the icon which will be displayed at the start of the segmented button. Use the endIcon option for specifying an icon at the end.

Default value: undefined

theme​

string

Specifies the visual appearance of the component.

If it is 'auto' or undefined, the theme will automatically be chosen based on the platform. If custom themes are also present, they will take precedence over the built in themes, e.g. if there's an iOS based custom theme, it will be chosen on the iOS platform instead of the default iOS theme.

Supplied themes:

  • 'ios' - iOS theme
  • 'material' - Material theme
  • 'windows' - Windows theme

It's possible to modify theme colors or create custom themes.

info

Make sure that the theme you set is included in the downloaded package.

Default value: undefined

themeVariant​

"auto" | "dark" | "light"

Controls which variant of the theme will be used (light or dark).

Possible values:

  • 'light' - Use the light variant of the theme.
  • 'dark' - Use the dark variant of the theme.
  • 'auto' or undefined - Detect the preferred system theme on devices where this is supported.

To use the option with custom themes, make sure to create two custom themes, where the dark version has the same name as the light one, suffixed with '-dark', e.g.: 'my-theme' and 'my-theme-dark'.

Default value: undefined

Events​

The Segmented component ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code.

onDestroy​

(args: any, inst: any) => void

Triggered when the component is destroyed.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

onInit​

(args: any, inst: any) => void

Triggered when the component is initialized.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

Localization​

The Segmented component is fully localized. This covers date and time format, button copy, rtl and more.

locale​

MbscLocale

Sets the language of the component. The locale object contains all the translations for a given language. The built in language modules are listed below. If a language is not listed, it can be provided as a custom language module.

Supported values:

  • Arabic: localeAr, 'ar'
  • Bulgarian: localeBg, 'bg'
  • Catalan: localeCa, 'ca'
  • Czech: localeCs, 'cs'
  • Chinese: localeZh, 'zh'
  • Croatian: localeHr, 'hr'
  • Danish: localeDa, 'da'
  • Dutch: localeNl, 'nl'
  • English: localeEn or undefined, 'en'
  • English (UK): localeEnGB, 'en-GB'
  • Farsi: localeFa, 'fa'
  • German: localeDe, 'de'
  • Greek: localeEl, 'el'
  • Spanish: localeEs, 'es'
  • Finnish: localeFi, 'fi'
  • French: localeFr, 'fr'
  • Hebrew: localeHe, 'he'
  • Hindi: localeHi, 'hi'
  • Hungarian: localeHu, 'hu'
  • Italian: localeIt, 'it'
  • Japanese: localeJa, 'ja'
  • Korean: localeKo, 'ko'
  • Lithuanian: localeLt, 'lt'
  • Norwegian: localeNo, 'no'
  • Polish: localePl, 'pl'
  • Portuguese (Brazilian): localePtBR, 'pt-BR'
  • Portuguese (European): localePtPT, 'pt-PT'
  • Romanian: localeRo, 'ro'
  • Russian: localeRu, 'ru'
  • Russian (UA): localeRuUA, 'ru-UA'
  • Slovak: localeSk, 'sk'
  • Serbian: localeSr, 'sr'
  • Swedish: localeSv, 'sv'
  • Thai: localeTh, 'th'
  • Turkish: localeTr, 'tr'
  • Ukrainian: localeUa, 'ua'

Default value: undefined

rtl​

boolean

Enables right-to-left display.

Default value: false

Skip to main content
Version: 5.35.0

Segmented

The Segmented component is a horizontal control made of multiple segments, each segment functioning as a button.

Usage​

In single selection mode the functionality is similar to the radio buttons, where selecting one will deselect all others.

<script setup>
import { MbscSegmented, MbscSegmentedGroup } from '@mobiscroll/vue';
</script>

<template>
<MbscSegmentedGroup>
<MbscSegmented value="1">Option 1</MbscSegmented>
<MbscSegmented value="2">Option 2</MbscSegmented>
<MbscSegmented value="3">Option 3</MbscSegmented>
</MbscSegmentedGroup>
</template>

In multiple selection mode segments can be selected and de-selected independently from each other.

<script setup>
import { MbscSegmented, MbscSegmentedGroup } from '@mobiscroll/vue';
</script>

<template>
<MbscSegmentedGroup select="multiple">
<MbscSegmented value="1">Option 1</MbscSegmented>
<MbscSegmented value="2">Option 2</MbscSegmented>
<MbscSegmented value="3">Option 3</MbscSegmented>
</MbscSegmentedGroup>
</template>

Value binding​

Use the v-model directive to create a two-way binding.

<script setup>
import { ref } from 'vue';
import { MbscSegmented, MbscSegmentedGroup } from '@mobiscroll/vue';

const single = ref('1');
const multiple = ref(['2']);
</script>

<template>
<MbscSegmentedGroup v-model="single">
<MbscSegmented value="1">Option 1</MbscSegmented>
<MbscSegmented value="2">Option 2</MbscSegmented>
<MbscSegmented value="3">Option 3</MbscSegmented>
</MbscSegmentedGroup>
Single segmented value: {{ single }}

<MbscSegmentedGroup v-model="multiple" select="multiple">
<MbscSegmented value="1">Option 1</MbscSegmented>
<MbscSegmented value="2">Option 2</MbscSegmented>
<MbscSegmented value="3">Option 3</MbscSegmented>
</MbscSegmentedGroup>
Multiple segmented value: {{ multiple }}
</template>

Options​

Explore the following API options that help you easily configure the Segmented component.

ariaLabel​

string

Specifies the accessible name of the segmented button. Recommended for icon-only buttons.

Default value: undefined

color​

"light" | "dark" | "primary" | "secondary" | "success" | "danger" | "warning" | "info"

Specifies the predefined color of the segmented button.

Default value: undefined

cssClass​

string

Specifies a custom CSS class for the component.

Default value: undefined

description​

string

Specifies the description text of the segmented button.

Default value: undefined

disabled​

boolean

Specifies the disabled state of the segmented button.

Default value: false

endIcon​

any

Specifies the icon which will be displayed at the end of the segmented button. Use the startIcon option for specifying an icon at the start.

Default value: undefined

icon​

any

Specifies the icon for an icon-only segmented button.

Default value: undefined

id​

string

Specifies the id of the segmented button.

Default value: undefined

label​

string

Specifies the label of the segmented button.

Default value: undefined

name​

string

Specifies the name of the segmented button.

Default value: undefined

startIcon​

any

Specifies the icon which will be displayed at the start of the segmented button. Use the endIcon option for specifying an icon at the end.

Default value: undefined

theme​

string

Specifies the visual appearance of the component.

If it is 'auto' or undefined, the theme will automatically be chosen based on the platform. If custom themes are also present, they will take precedence over the built in themes, e.g. if there's an iOS based custom theme, it will be chosen on the iOS platform instead of the default iOS theme.

Supplied themes:

  • 'ios' - iOS theme
  • 'material' - Material theme
  • 'windows' - Windows theme

It's possible to modify theme colors or create custom themes.

info

Make sure that the theme you set is included in the downloaded package.

Default value: undefined

themeVariant​

"light" | "dark" | "auto"

Controls which variant of the theme will be used (light or dark).

Possible values:

  • 'light' - Use the light variant of the theme.
  • 'dark' - Use the dark variant of the theme.
  • 'auto' or undefined - Detect the preferred system theme on devices where this is supported.

To use the option with custom themes, make sure to create two custom themes, where the dark version has the same name as the light one, suffixed with '-dark', e.g.: 'my-theme' and 'my-theme-dark'.

Default value: undefined

Events​

The Segmented component ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code.

@destroy​

(args: any, inst: any) => void

Triggered when the component is destroyed.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

@init​

(args: any, inst: any) => void

Triggered when the component is initialized.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

Localization​

The Segmented component is fully localized. This covers date and time format, button copy, rtl and more.

locale​

MbscLocale

Sets the language of the component. The locale object contains all the translations for a given language. The built in language modules are listed below. If a language is not listed, it can be provided as a custom language module.

Supported values:

  • Arabic: localeAr, 'ar'
  • Bulgarian: localeBg, 'bg'
  • Catalan: localeCa, 'ca'
  • Czech: localeCs, 'cs'
  • Chinese: localeZh, 'zh'
  • Croatian: localeHr, 'hr'
  • Danish: localeDa, 'da'
  • Dutch: localeNl, 'nl'
  • English: localeEn or undefined, 'en'
  • English (UK): localeEnGB, 'en-GB'
  • Farsi: localeFa, 'fa'
  • German: localeDe, 'de'
  • Greek: localeEl, 'el'
  • Spanish: localeEs, 'es'
  • Finnish: localeFi, 'fi'
  • French: localeFr, 'fr'
  • Hebrew: localeHe, 'he'
  • Hindi: localeHi, 'hi'
  • Hungarian: localeHu, 'hu'
  • Italian: localeIt, 'it'
  • Japanese: localeJa, 'ja'
  • Korean: localeKo, 'ko'
  • Lithuanian: localeLt, 'lt'
  • Norwegian: localeNo, 'no'
  • Polish: localePl, 'pl'
  • Portuguese (Brazilian): localePtBR, 'pt-BR'
  • Portuguese (European): localePtPT, 'pt-PT'
  • Romanian: localeRo, 'ro'
  • Russian: localeRu, 'ru'
  • Russian (UA): localeRuUA, 'ru-UA'
  • Slovak: localeSk, 'sk'
  • Serbian: localeSr, 'sr'
  • Swedish: localeSv, 'sv'
  • Thai: localeTh, 'th'
  • Turkish: localeTr, 'tr'
  • Ukrainian: localeUa, 'ua'

Default value: undefined

rtl​

boolean

Enables right-to-left display.

Default value: false

Skip to main content
Version: 5.35.0

Segmented

The Segmented component is a horizontal control made of multiple segments, each segment functioning as a button.

Usage​

In single selection mode the functionality is similar to the radio buttons, where selecting one will deselect all others.

<!-- Icon only -->
<mbsc-segmented-group name="my-group" [(ngModel)]="myChoice">
<mbsc-segmented value="1" icon="remove"></mbsc-segmented>
<mbsc-segmented value="2" icon="pencil"></mbsc-segmented>
<mbsc-segmented value="3" icon="plus"></mbsc-segmented>
</mbsc-segmented-group>

<!-- Icon and text -->
<mbsc-segmented-group name="my-group" [(ngModel)]="myChoice">
<mbsc-segmented value="1" startIcon="remove">Option 1</mbsc-segmented>
<mbsc-segmented value="2" startIcon="pencil">Option 2</mbsc-segmented>
<mbsc-segmented value="3" startIcon="plus">Option 3</mbsc-segmented>
</mbsc-segmented-group>

Value binding​

Segmetned components can be bound to a string value using either the [(ngModel)] or the formControlName directives. These directives can be used individually on every segmented component or can be applied to the segmented group.

Single selection​

Use the value and onChange props to set a value to the whole segmented group.

<mbsc-segmented-group name="my-range" [(ngModel)]="myRange">
<mbsc-segmented value="day">Day</mbsc-segmented>
<mbsc-segmented value="week">Week</mbsc-segmented>
<mbsc-segmented value="month">Month</mbsc-segmented>
<mbsc-segmented value="year">Year</mbsc-segmented>
</mbsc-segmented-group>

Multiple selection​

In multiple selection mode segments can be selected and de-selected independently from each other.

<mbsc-segmented-group select="multiple" name="multi">
<mbsc-segmented *ngFor="let item of myGroupItems" [(ngModel)]="item.checked">{{item.text}}</mbsc-segmented>
</mbsc-segmented-group>
@Component({...})
export class MyComponent {
myGroupItems: Array<{ checked: boolean, text: string, value: string }> = [
{ checked: false, text: 'S', value: 'sunday' },
{ checked: true, text: 'M', value: 'monday' },
{ checked: false, text: 'T', value: 'tuesday' },
{ checked: false, text: 'W', value: 'wednesday' },
{ checked: true, text: 'T', value: 'thursday' },
{ checked: false, text: 'F', value: 'friday' },
{ checked: false, text: 'S',value: 'saturday' }
];
}

Options​

Explore the following API options that help you easily configure the Segmented component.

ariaLabel​

string

Specifies the accessible name of the segmented button. Recommended for icon-only buttons.

Default value: undefined

color​

"success" | "light" | "dark" | "primary" | "secondary" | "danger" | "warning" | "info"

Specifies the predefined color of the segmented button.

Default value: undefined

cssClass​

string

Specifies a custom CSS class for the component.

Default value: undefined

description​

string

Specifies the description text of the segmented button.

Default value: undefined

disabled​

boolean

Specifies the disabled state of the segmented button.

Default value: false

endIcon​

any

Specifies the icon which will be displayed at the end of the segmented button. Use the startIcon option for specifying an icon at the start.

Default value: undefined

icon​

any

Specifies the icon for an icon-only segmented button.

Default value: undefined

id​

string

Specifies the id of the segmented button.

Default value: undefined

label​

string

Specifies the label of the segmented button.

Default value: undefined

name​

string

Specifies the name of the segmented button.

Default value: undefined

startIcon​

any

Specifies the icon which will be displayed at the start of the segmented button. Use the endIcon option for specifying an icon at the end.

Default value: undefined

theme​

string

Specifies the visual appearance of the component.

If it is 'auto' or undefined, the theme will automatically be chosen based on the platform. If custom themes are also present, they will take precedence over the built in themes, e.g. if there's an iOS based custom theme, it will be chosen on the iOS platform instead of the default iOS theme.

Supplied themes:

  • 'ios' - iOS theme
  • 'material' - Material theme
  • 'windows' - Windows theme

It's possible to modify theme colors or create custom themes.

info

Make sure that the theme you set is included in the downloaded package.

Default value: undefined

themeVariant​

"auto" | "light" | "dark"

Controls which variant of the theme will be used (light or dark).

Possible values:

  • 'light' - Use the light variant of the theme.
  • 'dark' - Use the dark variant of the theme.
  • 'auto' or undefined - Detect the preferred system theme on devices where this is supported.

To use the option with custom themes, make sure to create two custom themes, where the dark version has the same name as the light one, suffixed with '-dark', e.g.: 'my-theme' and 'my-theme-dark'.

Default value: undefined

Events​

The Segmented component ships with different event hooks for deep customization. Events are triggered through the lifecycle of the component where you can tie in custom functionality and code.

onDestroy​

(args: any, inst: any) => void

Triggered when the component is destroyed.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

onInit​

(args: any, inst: any) => void

Triggered when the component is initialized.

Parameters:

  • args - The event argument object.

  • inst - The component instance.

Localization​

The Segmented component is fully localized. This covers date and time format, button copy, rtl and more.

locale​

MbscLocale

Sets the language of the component. The locale object contains all the translations for a given language. The built in language modules are listed below. If a language is not listed, it can be provided as a custom language module.

Supported values:

  • Arabic: localeAr, 'ar'
  • Bulgarian: localeBg, 'bg'
  • Catalan: localeCa, 'ca'
  • Czech: localeCs, 'cs'
  • Chinese: localeZh, 'zh'
  • Croatian: localeHr, 'hr'
  • Danish: localeDa, 'da'
  • Dutch: localeNl, 'nl'
  • English: localeEn or undefined, 'en'
  • English (UK): localeEnGB, 'en-GB'
  • Farsi: localeFa, 'fa'
  • German: localeDe, 'de'
  • Greek: localeEl, 'el'
  • Spanish: localeEs, 'es'
  • Finnish: localeFi, 'fi'
  • French: localeFr, 'fr'
  • Hebrew: localeHe, 'he'
  • Hindi: localeHi, 'hi'
  • Hungarian: localeHu, 'hu'
  • Italian: localeIt, 'it'
  • Japanese: localeJa, 'ja'
  • Korean: localeKo, 'ko'
  • Lithuanian: localeLt, 'lt'
  • Norwegian: localeNo, 'no'
  • Polish: localePl, 'pl'
  • Portuguese (Brazilian): localePtBR, 'pt-BR'
  • Portuguese (European): localePtPT, 'pt-PT'
  • Romanian: localeRo, 'ro'
  • Russian: localeRu, 'ru'
  • Russian (UA): localeRuUA, 'ru-UA'
  • Slovak: localeSk, 'sk'
  • Serbian: localeSr, 'sr'
  • Swedish: localeSv, 'sv'
  • Thai: localeTh, 'th'
  • Turkish: localeTr, 'tr'
  • Ukrainian: localeUa, 'ua'

Default value: undefined

rtl​

boolean

Enables right-to-left display.

Default value: false